# Downie Documentation

Welcome to the Downie documentation! Downie is a powerful command-line tool for downloading and processing videos from various platforms, with support for subtitle management and advanced video processing capabilities.

## What is Downie?

Downie is a modern, feature-rich video downloader and processor that allows you to:

- Download videos from multiple platforms (YouTube, Vimeo, etc.)
- Process videos with advanced options (resize, crop, HDR to SDR conversion)
- Manage and download subtitles
- Convert between video formats
- Perform batch operations

## Quick Links

- 📥 [Installation Guide](guides/installation.md) - Get started with Downie
- 🚀 [Quick Start Guide](guides/quickstart.md) - Basic usage examples
- ⚙️ [Configuration](guides/configuration.md) - Configure Downie
- 🔧 [Advanced Usage](guides/advanced-usage.md) - Advanced features and examples
- 📚 [API Reference](api/downloader.md) - Programmatic usage
- 🤝 [Contributing Guide](contributing/development.md) - Help improve Downie

## Support

If you need help:

1. Check the documentation
2. Search through [existing issues](https://github.com/where-is-brett/downie/issues)
3. Create a new issue if needed

## License

Downie is open source software licensed under the MIT License.